# optionStackEntry Struct Reference

`#include <poptint.h>`

## Data Fields

int | argc
const char ** | argv
pbm_set * | argb
int | next
const char * | nextArg
const char * | nextCharArg
poptItem | currAlias
int | stuffed

## Detailed Description

Definition at line 41 of file poptint.h.

## Field Documentation

pbm_set* optionStackEntry::argb

| Definition at line 44 of file poptint.h. Referenced by cleanOSE(), findNextArg(), handleAlias(), poptFreeContext(), poptGetNextOpt(), poptResetContext(), and poptStuffArgs().

int optionStackEntry::argc

| Definition at line 42 of file poptint.h. Referenced by findNextArg(), handleAlias(), poptGetNextOpt(), poptStripArg(), and poptStuffArgs().

const char** optionStackEntry::argv

| Definition at line 43 of file poptint.h. Referenced by cleanOSE(), findNextArg(), handleAlias(), poptBadOption(), poptGetInvocationName(), poptGetNextOpt(), poptStuffArgs(), and showHelpIntro().

poptItem optionStackEntry::currAlias

| Definition at line 48 of file poptint.h. Referenced by handleAlias(), poptResetContext(), and poptStuffArgs().

int optionStackEntry::next

| Definition at line 45 of file poptint.h. Referenced by findNextArg(), handleAlias(), poptBadOption(), poptGetNextOpt(), poptResetContext(), and poptStuffArgs().

const char* optionStackEntry::nextArg

| Definition at line 46 of file poptint.h. Referenced by cleanOSE(), handleAlias(), poptGetNextOpt(), poptGetOptArg(), poptResetContext(), and poptStuffArgs().

const char* optionStackEntry::nextCharArg

| Definition at line 47 of file poptint.h. Referenced by handleAlias(), poptGetNextOpt(), poptResetContext(), and poptStuffArgs().

int optionStackEntry::stuffed

| Definition at line 49 of file poptint.h. Referenced by handleAlias(), and poptStuffArgs().

The documentation for this struct was generated from the following file:

- popt/poptint.h